package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfiguracionProducto;

public class RenderConfiguracionProducto implements ListitemRenderer{

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		ConfiguracionProducto configuracionProducto = (ConfiguracionProducto) o;
		
		Listcell lc = new Listcell(configuracionProducto.getConfiguracionProductoId() == null ? "" : configuracionProducto.getConfiguracionProductoId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(configuracionProducto.getPrecio() == null ? "" : configuracionProducto.getPrecio().toString());
		lc.setParent(lstm);

		SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy");
		lc = new Listcell(configuracionProducto.getFecVigenciaInicial() == null ? "" : (sf.format(configuracionProducto.getFecVigenciaInicial())));
		lc.setParent(lstm);

		lc = new Listcell(configuracionProducto.getFecVigenciaFinal() == null ? "" : (sf.format(configuracionProducto.getFecVigenciaFinal())));		
		lc.setParent(lstm);
		
		lc = new Listcell(configuracionProducto.getTipoeventoextra() == null ? "" : configuracionProducto.getTipoeventoextra().getDescTipoEvento());
		lc.setParent(lstm);
		lstm.setAttribute("data", configuracionProducto);
	}

}
